{% block title %}
  {{ contact_name }}
{% endblock %}

{% block body %}
  <!--  writes a table for each chat session -->
  <h3>Chat session <a href="#top">#</a> {{ pk_cs }}: <a name="{{ contact_name }}">{{ contact_name }}</a></h3>
  <table class="sortable" id="msg_{{ chatid }}" border="1" cellpadding="2" cellspacing="0">
    <thead>
    <tr>
      <th>PK</th>
      <th>Chat</th>
      <th>Msg date</th>
      <th>From</th>
      <th>Msg content</th>
      <th>Msg status</th>
      <th>Media Type</th>
      <th>Media Size</th>
    </tr>
    </thead>

    <!--  writes table content -->
    <tbody>
    {% for message in messages %}

      <!--  row class selection -->
      {% if message.content_type == CONTENT_NEWGROUPNAME %}
        <tr class="newgroupname">
          {% elif message.from_me %}
        <tr class="me">
          {% else %}
        <tr class="other">
      {% endif %}

    <!--  get corresponding contact name for the contact_from of this message: -->
    {#      if message.contact_from != "me":#}
    {#          if message.contact_from == contact_id:  # if sender is identical to chat name#}
    {#              message.contact_from = contactname#}
    {#          else:  # for group chats#}
    {#              for n in chat_session_list:#}
    {#                  if n.contact_id == message.contact_from:#}
    {#                      message.contact_from = convert_smileys(n.contact_name)#}

    <!--  PK   -->
    <td>{{ message.pk_msg }} </td>

    <!--  Chat name -->
    <td class="contact">{{ contactname }} </td>
    <!--  Msg date -->
    <td>{{ message.msg_date }} </td>
    <!--  From -->
    <td class="contact">{{ message.contact_from }} </td>

    <td>{{ message.msg_text }}</td>

    <td>{{ message.status }} </td>

    <td>{{ message.media_wa_type }} </td>

    <td>{{ message.media_size }} </td>
    </tr>
    {% endfor %}
    </tbody>
  </table>
{% endblock %}
